using System.IO;

namespace Edfinancial.SharePoint.STSADM.Commands.SPValidators
{
    internal class SPDirectoryExistsValidator : SPNonEmptyValidator
    {
        public override bool Validate(string str)
        {
            if (base.Validate(str))
            {
                try
                {
                    FileInfo info = new FileInfo(str);
                    if (info.Directory.Exists)
                    {
                        return true;
                    }
                    else 
                        throw new DirectoryNotFoundException();
                }
                catch
                {
                    return false;
                }
            }
            return false;
        }
    }


}
